/*
Theme Name:hidari
Template:twentytwentyone
*/

:root {
    --global--font-size-page-title: var(--global--font-size-xl);
}

@media only screen and (min-width: 482px) {
    :root {
        --responsive--aligndefault-width: min(calc(100vw - 4 * var(--global--spacing-horizontal)), 1100px);
    }
}
@media only screen and (min-width: 822px) {
    :root {
        --responsive--aligndefault-width: min(calc(100vw - 8 * var(--global--spacing-horizontal)), 1100px);
    }
}

html {
    touch-action: manipulation;
}

.powered-by,
.comments-area,
.home .entry-content {
    display: none;
}

.entry-title {
    font-size: var(--global--font-size-xl);
}

.my-block-gallery {
    position: relative;
}

.my-block-gallery figure {
    position: absolute;
    top: 0px;
    left: 0px;
    z-index: -1;
}

.my-block-gallery .my-block-gallery-current {
    position: relative;
    z-index: 0;
}

.my-block-gallery-controll {
    position: absolute;
    top: 0px;
    left: 0px;
    right: 0px;
    bottom: 0px;
}

.my-block-gallery-controll button {
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    width: 15%;
    padding-top: 15% !important;
    border: none;
    outline: none;
    background: none !important;
    appearance: none;
    cursor: pointer;
    padding: 0;
}
.my-block-gallery-controll button::before {
    position: absolute;
    top: 50%;
    left: 50%;
    width: 50%;
    height: 50%;
    border-right: 6px solid #fff;
    border-top: 6px solid #fff;
    content: "";
}

.my-block-gallery-controll-prev {
    left: 0px;
}
.my-block-gallery-controll-prev::before {
    transform: translateX(-50%) translateY(-50%) rotate(225deg);
}

.my-block-gallery-controll-next {
    right: 0px;
}
.my-block-gallery-controll-next::before {
    transform: translateX(-50%) translateY(-50%) rotate(45deg);
}

.my-block-gallery-controll-page {
    position: absolute;
    top: 0px;
    left: 0px;
    padding: 10px;
    width: 12em;
    background-color: #000;
    color: #fff;
    font-size: 1.5vw;
    text-align: center;
}

@media only screen and (min-width: 822px) {
    .my-block-gallery-controll-page {
        font-size: 16px;
    }
}

.gray {
	padding: 1em;
	background-color: #eee;
}
